#div-1 {
	background-color: seagreen;
	display: inline;
/* block elements will not change if display value is block as well	*/
}

/* we cannot change the width and height of inline elemenets */
/* inline-block display can change its height and width	*/
#span-1 {
	background-color: purple;
	display: inline-block;
	width: 200px;
	height: 200px;
}

#span-2 {
	background-color: pink;
	display: inline;
}

#div-2 {
	background-color: cyan;
	display: none;
}

#img {
	display: inline-block;
	width: 250px;
	height: 250px;
}

#p-1 {
	/* hex code for color	*/
	background-color: #87CEFA; 
}

#p-2 {
	/* color value for rgb	*/
	background-color: rgb(255,105,180);
	width: 60%;
}

#p-3 {
	background-color: yellow;
	width: 40%;
}

.sample {
	display: inline-block;
	width: 30%;
	border: 1px solid black;
	text-align: center;
}

.img-float {
	width: 250px;
	height: 250px;
	/* float has inherit, right and left values	*/
	float: left;
}

.box {
	background-color: red;
	border: 1px solid black;
	margin: 5px;
}

.fifty-percent {
	width: 50%;
}

.one-hundred-pixels {
	width: 100px;
}

.one-rem {
	font-size: 1rem;
}

.one-em {
	font-size: 1em;
}

.two-rem {
	font-size: 2rem;
}

.two-em {
	font-size: 2em;
}

.two-hundred-percent {
	font-size: 200%;
}

.parent {
	width: 135px;
	border: 2px solid navy;
	font-size: 30px;
}

.fifty-vw {
	/* viewport width(vw) - 1vw = 1% */
	width: 50vw;
}
/* View Height (vh) 1vh = 1% */
.twenty-five-vh {
	height: 25vh;
}


/* CSS Background Properties */

.background {
	min-height: 20rem;
	/*	background-color: gray;*/
	/* add value for color properties we can use word for the colors, hexadecimals(#FFFFF), rgb(250, 250, 250)	*/
	background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);
	/* background-repeat value can be "repeat", "no-repeat", repeat-x, repeat-y, space, round	*/
	background-repeat: no-repeat;
	/* background-size value can be "auto", "cover", "contain". The size can also have a number value (500px , 60%, rem, em)	*/
	background-size: 100%;
	background-position: center top;
	background-attachment: scroll;
}

.bg-title {
	color: white;
	text-align: center;
	font-size: 5em;
	margin: 0;
	line-height: 35rem;
}

.container-bg {
	background-color: rgba(0, 0, 0, 0.5);
	min-height: 100vh;
}

.parent-element {
	background-color: skyblue;
	padding: 50px 10px;
	position: relative;
	height: 800px;

}

.child-one {
	background-color: gray;
	padding: 10px;
}

.child-two {
	background-color: yellow;
	padding: 10px;
	/* if we use static there will be no effect to element with left and bottom position properties	*/
	position: sticky;
	/*left: 10px;
	bottom: 10px;*/
	top: 10px;
}
.child-three {
	background-color: gray;
	padding: 10px;
}
html {
	height: 800vh;
}

/* z-index */
.container {
	position: relative;
}

.black-box {
	position: relative;
	z-index: 1;
	border: 2px solid black;
	height: 100px;
	margin: 30px;
}

.gray-box {
/* gray box will be above both gree black box	*/
	position: absolute;
	z-index: 3; 
	background: lightgray;
	height: 60px;
	width: 120px;
	left: 200px;
	top: 50px;
}

.green-box {
/*green box wil be above black box	*/
	position: absolute;
	z-index: 2;
	background: lightgreen;
	width: 35%;
	left: 270px;
	top: -15px;
	height: 100px;
}



